Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service
Interface TopicMessageContainer

All Superinterfaces:
  MessageContainer, Service

All Known Implementing Classes:
  DurableTopicMessageContainer

public interface TopicMessageContainer
extends MessageContainer

A Topic based `MessageContainer`

Version:
  $Revision: 1.5 $

Method Summary
`void` | `recoverSubscription(Subscription subscription)` A durable subscription has started so recovery any messages that are required.
`void` | `setLastAcknowledgedMessageID(Subscription subscription, MessageIdentity messageIdentity)` Sets the last acknowleged message ID for the given subscriber in this container so that if we shut down and recover we know where to start replaying messages from.

Methods inherited from interface org.codehaus.activemq.service.MessageContainer
`addMessage, containsMessage, delete, getDestinationName, getMessage, registerMessageInterest, unregisterMessageInterest`

Methods inherited from interface org.codehaus.activemq.service.Service
`start, stop`

Method Detail

### setLastAcknowledgedMessageID

    public void setLastAcknowledgedMessageID(Subscription subscription,
                                             MessageIdentity messageIdentity)
                                      throws JMSException

  Sets the last acknowleged message ID for the given subscriber in this container so that if we shut down and recover we know where to start replaying messages from.

  Parameters:
    `subscription` -
    `messageIdentity` -
  Throws:
    `JMSException`

### recoverSubscription

    public void recoverSubscription(Subscription subscription)
                             throws JMSException

  A durable subscription has started so recovery any messages that are required. This method should find the last acknowledged message for the given subscription and then iterate through any further messages and those that match the subscription should be dispatched to this subscription so that they can be dispatched in the future

  Parameters:
    `subscription` -
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.